<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:16 CEST 2011 -->
<TITLE>
CloudDataException
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CloudDataException";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../CloudData/CloudData.html" title="class in CloudData"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?CloudData/CloudDataException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CloudDataException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
CloudData</FONT>
<BR>
Class CloudDataException</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by ">java.lang.Throwable
      <IMG SRC="../resources/inherit.gif" ALT="extended by ">java.lang.Exception
          <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>CloudData.CloudDataException</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>java.io.Serializable</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>CloudDataException</B><DT>extends java.lang.Exception</DL>
</PRE>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../serialized-form.html#CloudData.CloudDataException">Serialized Form</A></DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_ALPHA_PARSE">E_ALPHA_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_ALPHA_UNKNOW">E_ALPHA_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQL_I_DIGIT">E_EQL_I_DIGIT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQL_I_UNKNOW">E_EQL_I_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQL_S_DIGIT">E_EQL_S_DIGIT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQL_S_UNKNOW">E_EQL_S_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQU_NEQUS">E_EQU_NEQUS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQU_PARSE">E_EQU_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQU_PARSE_S">E_EQU_PARSE_S</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQU_PARSE_V">E_EQU_PARSE_V</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_EQU_UNKNOW">E_EQU_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_D_BRACKET">E_H_D_BRACKET</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_D_EMPTY">E_H_D_EMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_D_EMPTYD">E_H_D_EMPTYD</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_D_EMPTYP">E_H_D_EMPTYP</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_D_PARSE">E_H_D_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_D_POWNEED">E_H_D_POWNEED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_D_SIGN">E_H_D_SIGN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_K_PARSE">E_H_K_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_N_BRACKET">E_H_N_BRACKET</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_N_EMPTY">E_H_N_EMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_N_EMPTYD">E_H_N_EMPTYD</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_N_EMPTYP">E_H_N_EMPTYP</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_N_PARSE">E_H_N_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_N_POWNEED">E_H_N_POWNEED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_N_SIGN">E_H_N_SIGN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_H_UNKNOW">E_H_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_A_DIMERR">E_MAT_A_DIMERR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_A_EMPTY">E_MAT_A_EMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_A_NOSQRT">E_MAT_A_NOSQRT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_A_PARSE">E_MAT_A_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_A_UNKNOW">E_MAT_A_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_B_DIFORD">E_MAT_B_DIFORD</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_B_DIMERR">E_MAT_B_DIMERR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_B_EMPTY">E_MAT_B_EMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_B_PARSE">E_MAT_B_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_B_UNKNOW">E_MAT_B_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_C_DIFORD">E_MAT_C_DIFORD</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_C_DIMERR">E_MAT_C_DIMERR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_C_EMPTY">E_MAT_C_EMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_C_PARSE">E_MAT_C_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_C_UNKNOW">E_MAT_C_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_K_DIFORD">E_MAT_K_DIFORD</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_K_DIMERR">E_MAT_K_DIMERR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_K_EMPTY">E_MAT_K_EMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_K_PARSE">E_MAT_K_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_MAT_K_UNKNOW">E_MAT_K_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_P_STD_ECONF">E_P_STD_ECONF</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_P_STD_EPAR">E_P_STD_EPAR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_P_STD_EUNK">E_P_STD_EUNK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_P_STD_EYOUT">E_P_STD_EYOUT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_P_STD_LEXP">E_P_STD_LEXP</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_P_STD_LFMT">E_P_STD_LFMT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_P_STD_LUNK">E_P_STD_LUNK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_POLES_PARSE">E_POLES_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_POLES_UNKNOW">E_POLES_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_AC_PARSE">E_S_AC_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_AC_UNKNOW">E_S_AC_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_BR_PARSE">E_S_BR_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_BR_UNKNOW">E_S_BR_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_ORDER">E_S_ORDER</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_PP_PARSE">E_S_PP_PARSE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_PP_UNKNOW">E_S_PP_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SCILAB">E_S_SCILAB</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_METHOD">E_S_SIM_METHOD</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_NOUT">E_S_SIM_NOUT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_NSTAB">E_S_SIM_NSTAB</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_PARAM">E_S_SIM_PARAM</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_STEP">E_S_SIM_STEP</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_TF">E_S_SIM_TF</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_TI">E_S_SIM_TI</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_TYPEO">E_S_SIM_TYPEO</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_S_SIM_UNKNOW">E_S_SIM_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#E_UNKNOW">E_UNKNOW</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;unknow error</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#CloudDataException(PropertyFile.i18n)">CloudDataException</A></B>(<A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new exception with specified i18n file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#CloudDataException(PropertyFile.i18n, java.lang.Throwable)">CloudDataException</A></B>(<A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang,
                   java.lang.Throwable&nbsp;cause)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new exception with specified i18n file and cause.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#CloudDataException(int, PropertyFile.i18n)">CloudDataException</A></B>(int&nbsp;code,
                   <A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new exception with specified code and i18n file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#CloudDataException(int, PropertyFile.i18n, java.lang.Throwable)">CloudDataException</A></B>(int&nbsp;code,
                   <A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang,
                   java.lang.Throwable&nbsp;cause)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new exception with specified code, i18n file and cause.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#CloudDataException(int, java.lang.String, PropertyFile.i18n)">CloudDataException</A></B>(int&nbsp;code,
                   java.lang.String&nbsp;msg,
                   <A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new exception with the specified code, detail message,
 and i18n file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#CloudDataException(int, java.lang.String, PropertyFile.i18n, java.lang.Throwable)">CloudDataException</A></B>(int&nbsp;code,
                   java.lang.String&nbsp;msg,
                   <A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang,
                   java.lang.Throwable&nbsp;cause)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new exception with the specified code, detail message,
 i18n file and cause.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#getCode()">getCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the error code.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#getMessage()">getMessage</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the error message.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#getMessageFromCode()">getMessageFromCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an error description corresponding to a specific code.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#getMessageFromCode(int)">getMessageFromCode</A></B>(int&nbsp;code)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an error description corresponding to a specific code.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../CloudData/CloudDataException.html#getMsg()">getMsg</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the detail message.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Throwable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Throwable</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="E_UNKNOW"><!-- --></A><H3>
E_UNKNOW</H3>
<PRE>
public static final int <B>E_UNKNOW</B></PRE>
<DL>
<DD>unknow error
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_A_UNKNOW"><!-- --></A><H3>
E_MAT_A_UNKNOW</H3>
<PRE>
public static final int <B>E_MAT_A_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_A_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_A_NOSQRT"><!-- --></A><H3>
E_MAT_A_NOSQRT</H3>
<PRE>
public static final int <B>E_MAT_A_NOSQRT</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_A_NOSQRT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_A_DIMERR"><!-- --></A><H3>
E_MAT_A_DIMERR</H3>
<PRE>
public static final int <B>E_MAT_A_DIMERR</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_A_DIMERR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_A_EMPTY"><!-- --></A><H3>
E_MAT_A_EMPTY</H3>
<PRE>
public static final int <B>E_MAT_A_EMPTY</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_A_EMPTY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_A_PARSE"><!-- --></A><H3>
E_MAT_A_PARSE</H3>
<PRE>
public static final int <B>E_MAT_A_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_A_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_B_UNKNOW"><!-- --></A><H3>
E_MAT_B_UNKNOW</H3>
<PRE>
public static final int <B>E_MAT_B_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_B_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_B_DIFORD"><!-- --></A><H3>
E_MAT_B_DIFORD</H3>
<PRE>
public static final int <B>E_MAT_B_DIFORD</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_B_DIFORD">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_B_DIMERR"><!-- --></A><H3>
E_MAT_B_DIMERR</H3>
<PRE>
public static final int <B>E_MAT_B_DIMERR</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_B_DIMERR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_B_EMPTY"><!-- --></A><H3>
E_MAT_B_EMPTY</H3>
<PRE>
public static final int <B>E_MAT_B_EMPTY</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_B_EMPTY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_B_PARSE"><!-- --></A><H3>
E_MAT_B_PARSE</H3>
<PRE>
public static final int <B>E_MAT_B_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_B_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_C_UNKNOW"><!-- --></A><H3>
E_MAT_C_UNKNOW</H3>
<PRE>
public static final int <B>E_MAT_C_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_C_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_C_DIFORD"><!-- --></A><H3>
E_MAT_C_DIFORD</H3>
<PRE>
public static final int <B>E_MAT_C_DIFORD</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_C_DIFORD">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_C_DIMERR"><!-- --></A><H3>
E_MAT_C_DIMERR</H3>
<PRE>
public static final int <B>E_MAT_C_DIMERR</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_C_DIMERR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_C_EMPTY"><!-- --></A><H3>
E_MAT_C_EMPTY</H3>
<PRE>
public static final int <B>E_MAT_C_EMPTY</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_C_EMPTY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_C_PARSE"><!-- --></A><H3>
E_MAT_C_PARSE</H3>
<PRE>
public static final int <B>E_MAT_C_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_C_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_K_UNKNOW"><!-- --></A><H3>
E_MAT_K_UNKNOW</H3>
<PRE>
public static final int <B>E_MAT_K_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_K_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_K_DIFORD"><!-- --></A><H3>
E_MAT_K_DIFORD</H3>
<PRE>
public static final int <B>E_MAT_K_DIFORD</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_K_DIFORD">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_K_DIMERR"><!-- --></A><H3>
E_MAT_K_DIMERR</H3>
<PRE>
public static final int <B>E_MAT_K_DIMERR</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_K_DIMERR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_K_EMPTY"><!-- --></A><H3>
E_MAT_K_EMPTY</H3>
<PRE>
public static final int <B>E_MAT_K_EMPTY</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_K_EMPTY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_MAT_K_PARSE"><!-- --></A><H3>
E_MAT_K_PARSE</H3>
<PRE>
public static final int <B>E_MAT_K_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_MAT_K_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_UNKNOW"><!-- --></A><H3>
E_H_UNKNOW</H3>
<PRE>
public static final int <B>E_H_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_K_PARSE"><!-- --></A><H3>
E_H_K_PARSE</H3>
<PRE>
public static final int <B>E_H_K_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_K_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_N_PARSE"><!-- --></A><H3>
E_H_N_PARSE</H3>
<PRE>
public static final int <B>E_H_N_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_N_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_N_POWNEED"><!-- --></A><H3>
E_H_N_POWNEED</H3>
<PRE>
public static final int <B>E_H_N_POWNEED</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_N_POWNEED">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_N_BRACKET"><!-- --></A><H3>
E_H_N_BRACKET</H3>
<PRE>
public static final int <B>E_H_N_BRACKET</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_N_BRACKET">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_N_EMPTYD"><!-- --></A><H3>
E_H_N_EMPTYD</H3>
<PRE>
public static final int <B>E_H_N_EMPTYD</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_N_EMPTYD">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_N_EMPTYP"><!-- --></A><H3>
E_H_N_EMPTYP</H3>
<PRE>
public static final int <B>E_H_N_EMPTYP</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_N_EMPTYP">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_N_EMPTY"><!-- --></A><H3>
E_H_N_EMPTY</H3>
<PRE>
public static final int <B>E_H_N_EMPTY</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_N_EMPTY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_N_SIGN"><!-- --></A><H3>
E_H_N_SIGN</H3>
<PRE>
public static final int <B>E_H_N_SIGN</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_N_SIGN">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_D_PARSE"><!-- --></A><H3>
E_H_D_PARSE</H3>
<PRE>
public static final int <B>E_H_D_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_D_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_D_POWNEED"><!-- --></A><H3>
E_H_D_POWNEED</H3>
<PRE>
public static final int <B>E_H_D_POWNEED</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_D_POWNEED">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_D_BRACKET"><!-- --></A><H3>
E_H_D_BRACKET</H3>
<PRE>
public static final int <B>E_H_D_BRACKET</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_D_BRACKET">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_D_EMPTYD"><!-- --></A><H3>
E_H_D_EMPTYD</H3>
<PRE>
public static final int <B>E_H_D_EMPTYD</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_D_EMPTYD">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_D_EMPTYP"><!-- --></A><H3>
E_H_D_EMPTYP</H3>
<PRE>
public static final int <B>E_H_D_EMPTYP</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_D_EMPTYP">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_D_EMPTY"><!-- --></A><H3>
E_H_D_EMPTY</H3>
<PRE>
public static final int <B>E_H_D_EMPTY</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_D_EMPTY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_H_D_SIGN"><!-- --></A><H3>
E_H_D_SIGN</H3>
<PRE>
public static final int <B>E_H_D_SIGN</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_H_D_SIGN">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_POLES_UNKNOW"><!-- --></A><H3>
E_POLES_UNKNOW</H3>
<PRE>
public static final int <B>E_POLES_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_POLES_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_POLES_PARSE"><!-- --></A><H3>
E_POLES_PARSE</H3>
<PRE>
public static final int <B>E_POLES_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_POLES_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_ALPHA_UNKNOW"><!-- --></A><H3>
E_ALPHA_UNKNOW</H3>
<PRE>
public static final int <B>E_ALPHA_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_ALPHA_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_ALPHA_PARSE"><!-- --></A><H3>
E_ALPHA_PARSE</H3>
<PRE>
public static final int <B>E_ALPHA_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_ALPHA_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQL_S_UNKNOW"><!-- --></A><H3>
E_EQL_S_UNKNOW</H3>
<PRE>
public static final int <B>E_EQL_S_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQL_S_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQL_S_DIGIT"><!-- --></A><H3>
E_EQL_S_DIGIT</H3>
<PRE>
public static final int <B>E_EQL_S_DIGIT</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQL_S_DIGIT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQL_I_UNKNOW"><!-- --></A><H3>
E_EQL_I_UNKNOW</H3>
<PRE>
public static final int <B>E_EQL_I_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQL_I_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQL_I_DIGIT"><!-- --></A><H3>
E_EQL_I_DIGIT</H3>
<PRE>
public static final int <B>E_EQL_I_DIGIT</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQL_I_DIGIT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQU_UNKNOW"><!-- --></A><H3>
E_EQU_UNKNOW</H3>
<PRE>
public static final int <B>E_EQU_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQU_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQU_PARSE"><!-- --></A><H3>
E_EQU_PARSE</H3>
<PRE>
public static final int <B>E_EQU_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQU_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQU_PARSE_V"><!-- --></A><H3>
E_EQU_PARSE_V</H3>
<PRE>
public static final int <B>E_EQU_PARSE_V</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQU_PARSE_V">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQU_PARSE_S"><!-- --></A><H3>
E_EQU_PARSE_S</H3>
<PRE>
public static final int <B>E_EQU_PARSE_S</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQU_PARSE_S">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_EQU_NEQUS"><!-- --></A><H3>
E_EQU_NEQUS</H3>
<PRE>
public static final int <B>E_EQU_NEQUS</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_EQU_NEQUS">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_ORDER"><!-- --></A><H3>
E_S_ORDER</H3>
<PRE>
public static final int <B>E_S_ORDER</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_ORDER">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SCILAB"><!-- --></A><H3>
E_S_SCILAB</H3>
<PRE>
public static final int <B>E_S_SCILAB</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SCILAB">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_PP_UNKNOW"><!-- --></A><H3>
E_S_PP_UNKNOW</H3>
<PRE>
public static final int <B>E_S_PP_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_PP_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_PP_PARSE"><!-- --></A><H3>
E_S_PP_PARSE</H3>
<PRE>
public static final int <B>E_S_PP_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_PP_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_AC_UNKNOW"><!-- --></A><H3>
E_S_AC_UNKNOW</H3>
<PRE>
public static final int <B>E_S_AC_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_AC_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_AC_PARSE"><!-- --></A><H3>
E_S_AC_PARSE</H3>
<PRE>
public static final int <B>E_S_AC_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_AC_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_BR_UNKNOW"><!-- --></A><H3>
E_S_BR_UNKNOW</H3>
<PRE>
public static final int <B>E_S_BR_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_BR_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_BR_PARSE"><!-- --></A><H3>
E_S_BR_PARSE</H3>
<PRE>
public static final int <B>E_S_BR_PARSE</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_BR_PARSE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_P_STD_LUNK"><!-- --></A><H3>
E_P_STD_LUNK</H3>
<PRE>
public static final int <B>E_P_STD_LUNK</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_P_STD_LUNK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_P_STD_LEXP"><!-- --></A><H3>
E_P_STD_LEXP</H3>
<PRE>
public static final int <B>E_P_STD_LEXP</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_P_STD_LEXP">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_P_STD_LFMT"><!-- --></A><H3>
E_P_STD_LFMT</H3>
<PRE>
public static final int <B>E_P_STD_LFMT</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_P_STD_LFMT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_P_STD_EUNK"><!-- --></A><H3>
E_P_STD_EUNK</H3>
<PRE>
public static final int <B>E_P_STD_EUNK</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_P_STD_EUNK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_P_STD_EYOUT"><!-- --></A><H3>
E_P_STD_EYOUT</H3>
<PRE>
public static final int <B>E_P_STD_EYOUT</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_P_STD_EYOUT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_P_STD_EPAR"><!-- --></A><H3>
E_P_STD_EPAR</H3>
<PRE>
public static final int <B>E_P_STD_EPAR</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_P_STD_EPAR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_P_STD_ECONF"><!-- --></A><H3>
E_P_STD_ECONF</H3>
<PRE>
public static final int <B>E_P_STD_ECONF</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_P_STD_ECONF">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_UNKNOW"><!-- --></A><H3>
E_S_SIM_UNKNOW</H3>
<PRE>
public static final int <B>E_S_SIM_UNKNOW</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_UNKNOW">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_NSTAB"><!-- --></A><H3>
E_S_SIM_NSTAB</H3>
<PRE>
public static final int <B>E_S_SIM_NSTAB</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_NSTAB">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_TI"><!-- --></A><H3>
E_S_SIM_TI</H3>
<PRE>
public static final int <B>E_S_SIM_TI</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_TI">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_TF"><!-- --></A><H3>
E_S_SIM_TF</H3>
<PRE>
public static final int <B>E_S_SIM_TF</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_TF">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_STEP"><!-- --></A><H3>
E_S_SIM_STEP</H3>
<PRE>
public static final int <B>E_S_SIM_STEP</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_STEP">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_PARAM"><!-- --></A><H3>
E_S_SIM_PARAM</H3>
<PRE>
public static final int <B>E_S_SIM_PARAM</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_PARAM">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_METHOD"><!-- --></A><H3>
E_S_SIM_METHOD</H3>
<PRE>
public static final int <B>E_S_SIM_METHOD</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_METHOD">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_TYPEO"><!-- --></A><H3>
E_S_SIM_TYPEO</H3>
<PRE>
public static final int <B>E_S_SIM_TYPEO</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_TYPEO">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="E_S_SIM_NOUT"><!-- --></A><H3>
E_S_SIM_NOUT</H3>
<PRE>
public static final int <B>E_S_SIM_NOUT</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../constant-values.html#CloudData.CloudDataException.E_S_SIM_NOUT">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="CloudDataException(int, java.lang.String, PropertyFile.i18n)"><!-- --></A><H3>
CloudDataException</H3>
<PRE>
public <B>CloudDataException</B>(int&nbsp;code,
                          java.lang.String&nbsp;msg,
                          <A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang)</PRE>
<DL>
<DD>Constructs a new exception with the specified code, detail message,
 and i18n file.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - error code.<DD><CODE>msg</CODE> - detail message.<DD><CODE>lang</CODE> - i18n file.</DL>
</DL>
<HR>

<A NAME="CloudDataException(int, PropertyFile.i18n)"><!-- --></A><H3>
CloudDataException</H3>
<PRE>
public <B>CloudDataException</B>(int&nbsp;code,
                          <A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang)</PRE>
<DL>
<DD>Constructs a new exception with specified code and i18n file.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - error code.<DD><CODE>lang</CODE> - i18n file.</DL>
</DL>
<HR>

<A NAME="CloudDataException(PropertyFile.i18n)"><!-- --></A><H3>
CloudDataException</H3>
<PRE>
public <B>CloudDataException</B>(<A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang)</PRE>
<DL>
<DD>Constructs a new exception with specified i18n file.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>lang</CODE> - i18n file.</DL>
</DL>
<HR>

<A NAME="CloudDataException(int, java.lang.String, PropertyFile.i18n, java.lang.Throwable)"><!-- --></A><H3>
CloudDataException</H3>
<PRE>
public <B>CloudDataException</B>(int&nbsp;code,
                          java.lang.String&nbsp;msg,
                          <A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang,
                          java.lang.Throwable&nbsp;cause)</PRE>
<DL>
<DD>Constructs a new exception with the specified code, detail message,
 i18n file and cause.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - error code.<DD><CODE>msg</CODE> - detail message.<DD><CODE>lang</CODE> - i18n file.<DD><CODE>cause</CODE> - error cause.</DL>
</DL>
<HR>

<A NAME="CloudDataException(int, PropertyFile.i18n, java.lang.Throwable)"><!-- --></A><H3>
CloudDataException</H3>
<PRE>
public <B>CloudDataException</B>(int&nbsp;code,
                          <A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang,
                          java.lang.Throwable&nbsp;cause)</PRE>
<DL>
<DD>Constructs a new exception with specified code, i18n file and cause.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - error code.<DD><CODE>lang</CODE> - i18n file.<DD><CODE>cause</CODE> - error cause.</DL>
</DL>
<HR>

<A NAME="CloudDataException(PropertyFile.i18n, java.lang.Throwable)"><!-- --></A><H3>
CloudDataException</H3>
<PRE>
public <B>CloudDataException</B>(<A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A>&nbsp;lang,
                          java.lang.Throwable&nbsp;cause)</PRE>
<DL>
<DD>Constructs a new exception with specified i18n file and cause.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>lang</CODE> - i18n file.<DD><CODE>cause</CODE> - error cause.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getCode()"><!-- --></A><H3>
getCode</H3>
<PRE>
public int <B>getCode</B>()</PRE>
<DL>
<DD>Gets the error code.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>error code.</DL>
</DD>
</DL>
<HR>

<A NAME="getMsg()"><!-- --></A><H3>
getMsg</H3>
<PRE>
public java.lang.String <B>getMsg</B>()</PRE>
<DL>
<DD>Gets the detail message.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>detail message.</DL>
</DD>
</DL>
<HR>

<A NAME="getMessageFromCode()"><!-- --></A><H3>
getMessageFromCode</H3>
<PRE>
public java.lang.String <B>getMessageFromCode</B>()</PRE>
<DL>
<DD>Returns an error description corresponding to a specific code.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>error description.</DL>
</DD>
</DL>
<HR>

<A NAME="getMessageFromCode(int)"><!-- --></A><H3>
getMessageFromCode</H3>
<PRE>
public java.lang.String <B>getMessageFromCode</B>(int&nbsp;code)</PRE>
<DL>
<DD>Returns an error description corresponding to a specific code.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - error code.
<DT><B>Returns:</B><DD>error description.</DL>
</DD>
</DL>
<HR>

<A NAME="getMessage()"><!-- --></A><H3>
getMessage</H3>
<PRE>
public java.lang.String <B>getMessage</B>()</PRE>
<DL>
<DD>Returns the error message.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>getMessage</CODE> in class <CODE>java.lang.Throwable</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>string containing the error description (message).</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../CloudData/CloudData.html" title="class in CloudData"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?CloudData/CloudDataException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CloudDataException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
